std::weibull_distribution< _RealType >(3)

NAME
std::weibull_distribution< _RealType > - A weibull_distribution random number distribution.

SYNOPSIS

  Classes
struct param_type

  Public Types
typedef _RealType result_type

  Public Member Functions
weibull_distribution (_RealType __a, _RealType __b=_RealType(1))
weibull_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType a () const
Return the $a$ parameter of the distribution.
_RealType b () const
Return the $b$ parameter of the distribution.
result_type max () const
Returns the least upper bound value of the distribution.
result_type min () const
Returns the greatest lower bound value of the distribution.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
Generating functions.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type param () const
Returns the parameter set of the distribution.
void param (const param_type &__param)
Sets the parameter set of the distribution.
void reset ()
Resets the distribution state.

  Friends
bool operator== (const weibull_distribution &__d1, const weibull_distribution &__d2)
Return true if two Weibull distributions have the same parameters.

Detailed Description

  template<typename _RealType = double>
class std::weibull_distribution< _RealType >" A weibull_distribution random number distribution. The formula for the normal probability density function is: p(x|lpha,tta} (ac{x}{txp{(-(ac{x}{

Definition at line 4851 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.